document.addEventListener('DOMContentLoaded', () => {
  const letters = document.querySelectorAll('.letter');
  
  letters.forEach((letter, index) => {
    letter.style.animationDelay = `${index * 0.1}s`;
    
    letter.addEventListener('mouseover', () => {
      letter.style.transform = 'scale(1.2)';
    });
    
    letter.addEventListener('mouseout', () => {
      letter.style.transform = 'scale(1)';
    });
  });
});
